Bug 484950 - clear-db flag does'nt do whats it says it does in the --help
clear-db flag does'nt do whats it says it does in the --help
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Mráka
Ales Dujicek
: Patch, Triaged
Depends On:
Blocks: sat570-lowbug
  Show dependency treegraph
 
Reported: 2009-02-10 15:24 EST by Pradeep Kilambi
Modified: 2015-01-13 04:55 EST (History)
5 users (show)

See Also:
Fixed In Version: spacewalk-setup-2.3.0-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 04:55:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (842 bytes, patch)
2014-02-04 17:15 EST, Dimitar Yordanov
no flags Details | Diff

  None (edit)
Description Pradeep Kilambi 2009-02-10 15:24:03 EST
Description of problem:

In ./install.pl --help, clear-db flag says 

    --clear-db
            Clear any pre-existing database schema before installing. This
            will destroy any data in the Satellite database and re-create
            empty Satellite schema.

but when you try using it, it says:

# ./install.pl  --clear-db
* Starting the Red Hat Network Satellite installer.
* Performing pre-install checks.
* Pre-install checks complete.  Beginning installation.
* RHN Registration.
** Registration: System is already registered with RHN.  Not re-registering.
* Checking for uninstalled prerequisites.
* Applying updates.
* Installing RHN packages.
* Now running spacewalk-setup.
* Setting up Oracle environment.
* Setting up database.
The embedded database appears to be already installed. Either rerun
this script with the --skip-db-install option, or use the
'/usr/share/spacewalk/setup/oracle/remove-db.sh' script to remove the embedded database and try
again.

First --skip-db-install is not the right suggestion as I already know that there is a db I want to wipe and hence trying to use --clear-db. I guess the --clear-db should call remove-db.sh and do the needful. Instead of asking the user to run another script.
Comment 1 Jan Pazdziora 2009-02-12 10:15:59 EST
Reassigning to Jesus, the new Installer component owner.
Comment 15 Dimitar Yordanov 2014-02-04 17:15:01 EST
Created attachment 859392 [details]
patch
Comment 16 Michael Mráka 2014-03-03 07:29:05 EST
Patch applied to spacewalk master as 
commit a3dd46b2b99ac90cdc0a8b434c50d0b8c596072b
    484950 - clear-db flag does not do what in --help

Also fixed man page
commit 7e0268fddbe973434d13da97fa1cdc17df24b6aa
    484950 - updated description for --clear-db
Comment 17 Clifford Perry 2014-11-11 06:17:45 EST
Assumption we got this in rebase. Moving to ON_QA for 5.7.
Comment 22 Clifford Perry 2015-01-13 04:55:04 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff

Note You need to log in before you can comment on or make changes to this bug.